﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="MergeCells.WebForm1" %>

<%@ Register Assembly="FarPoint.Web.Spread, Version=7.40.20132.1, Culture=neutral, PublicKeyToken=327c3516b1b18457" Namespace="FarPoint.Web.Spread" TagPrefix="FarPoint" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function Button2_onclick() {
            var spread = document.getElementById("FpSpread1");
            var rc = spread.GetTotalRowCount();
            var r = 0;
            while (r != rc - 1) {
                r1 = r;
                var inc = 0;
                while (r1 != -1) {
                    var val1 = spread.GetValue(r1, 1);
                    var val2 = spread.GetValue(r1 + 1, 1);
                    if (val1 == val2) {
                        inc++;
                        r1++;
                    }
                    else {
                        var cell = spread.GetCellByRowCol(r, 1);
                        cell.rowSpan = inc + 1;
                        r = r1 + 1;
                        r1 = -1;
                    }
                }
            }
            alert('Cells with same values merged');
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <FarPoint:FpSpread ID="FpSpread1" runat="server" BorderColor="Black" BorderStyle="Solid"
                BorderWidth="1px" Height="374px" Width="294px">
                <CommandBar BackColor="Control" ButtonFaceColor="Control" ButtonHighlightColor="ControlLightLight"
                    ButtonShadowColor="ControlDark">
                </CommandBar>
                <Sheets>
                    <FarPoint:SheetView SheetName="Sheet1">
                    </FarPoint:SheetView>
                </Sheets>
            </FarPoint:FpSpread>
            <input id="Button2" type="button" value="Merge Cells based on cell value" onclick="return Button2_onclick()" />
        </div>
    </form>
</body>
</html>
